<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<h1 th:text="${jobTitle}"/>
<form th:action="@{/job/finishCreateJob}" method="post" th:object="${weightJobCompetency}">
    <div th:each="job: ${jobCompetencies}">
        <label for="${job.key}" th:text="${job.key}"/>
        <!--dynamic form input textbox-->
        <input type="text"
               th:field="*{weightScore[__${job.value.getCompetenciesEntity().getCompetenciesId()}__]}"
               id="${job.key}"/>
    </div>
    <button type="submit">save</button>
</form>
</body>
</html>